- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxIteratorDst< Type > Class Template Reference

Search for all occurrences

## Detailed Description

### template<class Type>
class FbxIteratorDst< Type >

A utility class for iterating over destination objects that connect to property (FbxProperty) or object (FbxObject).

The class is a wrapper of FbxIteratorDstBase with template.

Definition at line 1548 of file fbxobject.h.

`#include <fbxobject.h>`

Inheritance diagram for FbxIteratorDst< Type >:
[legend]

List of all members.

## Public Member Functions
| FbxIteratorDst (FbxObject *pObject)
| Constructor.
| FbxIteratorDst (FbxProperty &pProperty)
| Constructor.
Type * | GetFirst ()
| Get the first destination object that connects to the property or object.
Type * | GetNext ()
| Get next destination object that connects to the property or object.
Type * | GetSafeNext ()
| Get next destination object that connects to the property or object.
Type * | GetLast ()
| Get the last destination object that connects to the property or object.
Type * | GetPrevious ()
| Get previous destination object that connects to the property or object.
Type * | GetSafePrevious ()
| Get previous destination object that connects to the property or object.

## Constructor & Destructor Documentation

FbxIteratorDst | ( | FbxObject * | pObject | ) | `[inline]`

Constructor.

Parameters:

  pObject | FBX object. The iterator will iterate destination objects that connect to it.

Definition at line 1555 of file fbxobject.h.

    : FbxIteratorDstBase(pObject,Type::ClassId) {}

FbxIteratorDst | ( | FbxProperty & | pProperty | ) | `[inline]`

Constructor.

Parameters:

  pProperty | Property object. The iterator will iterate destination objects that connect to it.

Definition at line 1561 of file fbxobject.h.

    : FbxIteratorDstBase(pProperty,Type::ClassId) {}

## Member Function Documentation

Type* GetFirst | ( |  | ) | `[inline]`

Search for all occurrences

Get the first destination object that connects to the property or object.

Returns:
  The first destination object.

Reimplemented from FbxIteratorDstBase.

Definition at line 1567 of file fbxobject.h.

    { return (Type*)FbxIteratorDstBase::GetFirst(); }

Type* GetNext | ( |  | ) | `[inline]`

Search for all occurrences

Get next destination object that connects to the property or object.

Returns:
  The next destination object. If there are no more objects, return NULL.

Reimplemented from FbxIteratorDstBase.

Definition at line 1573 of file fbxobject.h.

    { return (Type*)FbxIteratorDstBase::GetNext(); }

Type* GetSafeNext | ( |  | ) | `[inline]`

Search for all occurrences

Get next destination object that connects to the property or object.

Returns:
  The next destination object. If there are no more objects, return NULL.

Remarks:
  This method makes sure the iterate index is not out of bounds.

Reimplemented from FbxIteratorDstBase.

Definition at line 1580 of file fbxobject.h.

    { return (Type*)FbxIteratorDstBase::GetSafeNext(); }

Type* GetLast | ( |  | ) | `[inline]`

Search for all occurrences

Get the last destination object that connects to the property or object.

Returns:
  The last destination object.

Reimplemented from FbxIteratorDstBase.

Definition at line 1586 of file fbxobject.h.

    { return (Type*)FbxIteratorDstBase::GetLast(); }

Type* GetPrevious | ( |  | ) | `[inline]`

Search for all occurrences

Get previous destination object that connects to the property or object.

Returns:
  The previous destination object. If there are no more objects, return NULL.

Reimplemented from FbxIteratorDstBase.

Definition at line 1592 of file fbxobject.h.

    { return (Type*)FbxIteratorDstBase::GetPrevious(); }

Type* GetSafePrevious | ( |  | ) | `[inline]`

Search for all occurrences

Get previous destination object that connects to the property or object.

Returns:
  The previous destination object. If there are no more objects, return NULL.

Remarks:
  This method makes sure the iterate index is not out of bounds. If the iterate index is out of bounds, the last destination object is returned.

Reimplemented from FbxIteratorDstBase.

Definition at line 1600 of file fbxobject.h.

    { return (Type*)FbxIteratorDstBase::GetSafePrevious(); }

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxobject.h